package LibStorage::StorageInterface;
BEGIN {
    %TYPEINFO = (
        ALL_METHODS => 0,
        new => ["function", "any", "string"],
        getContainers => ["function", "void", "any", ["&list", "any"]],
        getDiskInfo => ["function", "integer", "any", "&string", "any"],
        getContDiskInfo => ["function", "integer", "any", "&string", "any", "any"],
        getLvmVgInfo => ["function", "integer", "any", "&string", "any"],
        getContLvmVgInfo => ["function", "integer", "any", "&string", "any", "any"],
        getEvmsCoInfo => ["function", "integer", "any", "&string", "any"],
        getContEvmsCoInfo => ["function", "integer", "any", "&string", "any", "any"],
        getVolumes => ["function", "void", "any", ["&list", "any"]],
        getVolume => ["function", "integer", "any", "&string", "any"],
        getPartitionInfo => ["function", "integer", "any", "&string", ["&list", "any"]],
        getLvmLvInfo => ["function", "integer", "any", "&string", ["&list", "any"]],
        getEvmsInfo => ["function", "integer", "any", "&string", ["&list", "any"]],
        getMdInfo => ["function", "integer", "any", ["&list", "any"]],
        getLoopInfo => ["function", "integer", "any", ["&list", "any"]],
        getDmInfo => ["function", "integer", "any", ["&list", "any"]],
        getFsCapabilities => ["function", "boolean", "any", "integer", "any"],
        printInfo => ["function", "void", "any", "any"],
        createPartition => ["function", "integer", "any", "&string", "integer", "integer", "integer", "&string"],
        resizePartition => ["function", "integer", "any", "&string", "integer"],
        updatePartitionArea => ["function", "integer", "any", "&string", "integer", "integer"],
        nextFreePartition => ["function", "integer", "any", "&string", "integer", "&integer", "&string"],
        createPartitionKb => ["function", "integer", "any", "&string", "integer", "integer", "integer", "&string"],
        createPartitionAny => ["function", "integer", "any", "&string", "integer", "&string"],
        createPartitionMax => ["function", "integer", "any", "&string", "integer", "&string"],
        cylinderToKb => ["function", "integer", "any", "&string", "integer"],
        kbToCylinder => ["function", "integer", "any", "&string", "integer"],
        removePartition => ["function", "integer", "any", "&string"],
        changePartitionId => ["function", "integer", "any", "&string", "integer"],
        forgetChangePartitionId => ["function", "integer", "any", "&string"],
        destroyPartitionTable => ["function", "integer", "any", "&string", "&string"],
        defaultDiskLabel => ["function", "string", "any"],
        changeFormatVolume => ["function", "integer", "any", "&string", "boolean", "integer"],
        changeLabelVolume => ["function", "integer", "any", "&string", "&string"],
        changeMkfsOptVolume => ["function", "integer", "any", "&string", "&string"],
        changeMountPoint => ["function", "integer", "any", "&string", "&string"],
        getMountPoint => ["function", "integer", "any", "&string", "&string"],
        changeMountBy => ["function", "integer", "any", "&string", "integer"],
        getMountBy => ["function", "integer", "any", "&string", "&integer"],
        changeFstabOptions => ["function", "integer", "any", "&string", "&string"],
        getFstabOptions => ["function", "integer", "any", "&string", "&string"],
        addFstabOptions => ["function", "integer", "any", "&string", "&string"],
        removeFstabOptions => ["function", "integer", "any", "&string", "&string"],
        setCryptPassword => ["function", "integer", "any", "&string", "&string"],
        forgetCryptPassword => ["function", "integer", "any", "&string"],
        getCryptPassword => ["function", "integer", "any", "&string", "&string"],
        setCrypt => ["function", "integer", "any", "&string", "boolean"],
        getCrypt => ["function", "integer", "any", "&string", "&boolean"],
        setIgnoreFstab => ["function", "integer", "any", "&string", "boolean"],
        getIgnoreFstab => ["function", "integer", "any", "&string", "&boolean"],
        addFstabEntry => ["function", "integer", "any", "&string", "&string", "&string", "&string", "integer", "integer"],
        resizeVolume => ["function", "integer", "any", "&string", "integer"],
        forgetResizeVolume => ["function", "integer", "any", "&string"],
        setRecursiveRemoval => ["function", "void", "any", "boolean"],
        getRecursiveRemoval => ["function", "boolean", "any"],
        setZeroNewPartitions => ["function", "void", "any", "boolean"],
        getZeroNewPartitions => ["function", "boolean", "any"],
        setRootPrefix => ["function", "void", "any", "&string"],
        setDetectMountedVolumes => ["function", "void", "any", "boolean"],
        getDetectMountedVolumes => ["function", "boolean", "any"],
        removeVolume => ["function", "integer", "any", "&string"],
        createLvmVg => ["function", "integer", "any", "&string", "integer", "boolean", ["&list", "string"]],
        removeLvmVg => ["function", "integer", "any", "&string"],
        extendLvmVg => ["function", "integer", "any", "&string", ["&list", "string"]],
        shrinkLvmVg => ["function", "integer", "any", "&string", ["&list", "string"]],
        createLvmLv => ["function", "integer", "any", "&string", "&string", "integer", "integer", "&string"],
        removeLvmLvByDevice => ["function", "integer", "any", "&string"],
        removeLvmLv => ["function", "integer", "any", "&string", "&string"],
        changeLvStripeSize => ["function", "integer", "any", "&string", "&string", "integer"],
        createEvmsContainer => ["function", "integer", "any", "&string", "integer", "boolean", ["&list", "string"]],
        removeEvmsContainer => ["function", "integer", "any", "&string"],
        extendEvmsContainer => ["function", "integer", "any", "&string", ["&list", "string"]],
        shrinkEvmsContainer => ["function", "integer", "any", "&string", ["&list", "string"]],
        createEvmsVolume => ["function", "integer", "any", "&string", "&string", "integer", "integer", "&string"],
        removeEvmsVolumeByDevice => ["function", "integer", "any", "&string"],
        removeEvmsVolume => ["function", "integer", "any", "&string", "&string"],
        changeEvmsStripeSize => ["function", "integer", "any", "&string", "&string", "integer"],
        createMd => ["function", "integer", "any", "&string", "integer", ["&list", "string"]],
        createMdAny => ["function", "integer", "any", "integer", ["&list", "string"], "&string"],
        removeMd => ["function", "integer", "any", "&string", "boolean"],
        extendMd => ["function", "integer", "any", "&string", "&string"],
        shrinkMd => ["function", "integer", "any", "&string", "&string"],
        changeMdType => ["function", "integer", "any", "&string", "integer"],
        changeMdChunk => ["function", "integer", "any", "&string", "integer"],
        changeMdParity => ["function", "integer", "any", "&string", "integer"],
        checkMd => ["function", "integer", "any", "&string"],
        createFileLoop => ["function", "integer", "any", "&string", "boolean", "integer", "&string", "&string", "&string"],
        removeFileLoop => ["function", "integer", "any", "&string", "boolean"],
        getCommitActions => ["function", ["list", "string"], "any", "boolean"],
        getLastAction => ["function", "string", "any"],
        getExtendedErrorMessage => ["function", "string", "any"],
        setCacheChanges => ["function", "void", "any", "boolean"],
        isCacheChanges => ["function", "boolean", "any"],
        commit => ["function", "integer", "any"],
        createBackupState => ["function", "integer", "any", "&string"],
        restoreBackupState => ["function", "integer", "any", "&string"],
        checkBackupState => ["function", "boolean", "any", "&string"],
        equalBackupStates => ["function", "boolean", "any", "&string", "&string", "boolean"],
        removeBackupState => ["function", "integer", "any", "&string"],
        checkDeviceMounted => ["function", "boolean", "any", "&string", "&string"],
        umountDevice => ["function", "boolean", "any", "&string"],
        mountDevice => ["function", "boolean", "any", "&string", "&string"],
        getFreeInfo => ["function", "boolean", "any", "&string", "&integer", "&integer", "&integer", "&boolean", "boolean"],
        readFstab => ["function", "boolean", "any", "&string", ["&list", "any"]],
        activateHld => ["function", "void", "any", "boolean"],
        rescanEverything => ["function", "void", "any"],
    );
}

8;
8;
